hpc-0.6.0.1: Code Coverage Library for Haskell

Safe Haskell | Safe
Language | Haskell98

Trace.Hpc.Tix

Description

Datatypes and file-access routines for the tick data file (`.tix`) used by Hpc.

Synopsis

- data Tix = Tix [TixModule]
- data TixModule = TixModule String Hash Int [Integer]
- tixModuleName :: TixModule -> String
- tixModuleHash :: TixModule -> Hash
- tixModuleTixs :: TixModule -> [Integer]
- readTix :: String -> IO (Maybe Tix)
- writeTix :: String -> Tix -> IO ()
- getTixFileName :: String -> String

# Documentation

data Tix

`Tix` is the storage format for our dynamic imformation about what boxes are ticked.

Constructors

Tix [TixModule] |

Instances

Eq Tix |
Read Tix |
Show Tix |

data TixModule

Constructors

TixModule String Hash Int [Integer] |

Instances

Eq TixModule |
Read TixModule |
Show TixModule |

tixModuleName :: TixModule -> String

tixModuleHash :: TixModule -> Hash

tixModuleTixs :: TixModule -> [Integer]

readTix :: String -> IO (Maybe Tix)

Read a `.tix` File.

writeTix :: String -> Tix -> IO ()

Write a `.tix` File.

getTixFileName :: String -> String

`getTixFullName` takes a binary or `.tix`-file name, and normalizes it into a `.tix`-file name.